/// <reference types="node" />
export interface KafkaMessage {
    value: Buffer;
    size: number;
    topic: string;
    offset: number;
    partition: number;
    key: string;
    timestamp: number;
}
export declare class KafkaProducer {
    private producer;
    private ready;
    constructor(conf: any, topicConf?: any);
    connect(metadataOptions?: any): Promise<{}>;
    produce(topic: string, partition: number, message: string, key?: string, timestamp?: string, opaque?: string): Promise<{}>;
}
export declare class KafkaConsumer {
    private consumer;
    private ready;
    private mode;
    private buffer;
    constructor(conf: any, topicConf?: any);
    connect(metadataOptions?: any): Promise<{}>;
    subscribe(topics: string[]): any;
    unsubscribe(): any;
    flowing(cb: (err: Error, message: KafkaMessage) => void): void;
    fetch(): Promise<KafkaMessage>;
}
declare const _default: {
    KafkaProducer: typeof KafkaProducer;
    KafkaConsumer: typeof KafkaConsumer;
};
export default _default;
